Inventor Customization

Reply
New Member
MarioFB
Posts: 1
Registered: ‎09-09-2011
Message 1 of 1 (158 Views)

How to select weld bead with VB.net?

158 Views, 0 Replies
09-09-2011 05:33 AM

I'm trying to create an add-in (VB.net) for direct editing of welds, because it's sometimes difficult to find quickly the right weld in assembly tree. My idea is to have an icon which let the user click on weld to edit.
I have the icon and I know how to select weld(component), but I don't know how to select specific weld bead.
I use this code to select a component:

Dim oComp As ComponentOccurrence
oComp = ThisApplication.CommandManager.Pick( _
SelectionFilterEnum.kAssemblyLeafOccurrenceFilter,_
"Select a weld")

What do I have to change in that code to get it working as I want.



You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community


Inventor Exchange Apps

Created by the community for the community, Autodesk Exchange Apps for Autodesk Inventor helps you achieve greater speed, accuracy, and automation from concept to manufacturing.

Connect with Inventor

Twitter

Facebook

Blogs

Pinterest

Youtube